import { ReactChild, RefForwardingComponent } from "react";
declare type SelectFieldProps = {
    isErroneous?: boolean;
    errorMessage?: string;
    /** Labels can be either strings or JSX */
    label?: ReactChild;
    helperText?: string;
    iconLeft?: string;
    dropdownLink?: boolean;
    dropdownLinkIconOnly?: boolean;
    dropdownLinkNoTextOnMobile?: boolean;
} & JSX.IntrinsicElements["select"];
/**
 * SelectFields are straightforward to create. If you want to listen to changes, you can do so via the \`onFocus\`, \`onBlur\`, and \`onChange\` events.
 */
declare const SelectField: RefForwardingComponent<HTMLSelectElement, SelectFieldProps>;
export { SelectField };
